>>103083597
My half baked solution is to manually add global shortcuts that run a small script to invoke foobar2000.exe. I haven't really needed much more.
#!/bin/sh
set -e
if pidof foobar2000.exe &>/dev/null
then
export WINEPREFIX=/your_wine_prefix
readonly FB2K='C:\Program Files\foobar2000\foobar2000.exe'
case "$1" in
(--) shift; exec wine "$FB2K" "$@";;
(--play-pause) exec wine "$FB2K" '/command:Play or pause';;
(--seek-back) exec wine "$FB2K" '/command:Back by 5 seconds';;
(--seek-fwd) exec wine "$FB2K" '/command:Ahead by 5 seconds';;
(--vol-up) exec wine "$FB2K" '/command:Up';;
(--vol-down) exec wine "$FB2K" '/command:Down';;
(*)
echo 'error: unknown action argument' >&2; exit 7;;
esac
else
echo 'error: foobar2000 is not running and thus can not be controlled' >&2
exit 8
fi
Put the script somewhere in your $PATH and add the shortcuts.
It was a little easier in Plasma 5.